Class | Spec::Mocks::NumericArgConstraint
In: | lib/spec/mocks/argument_expectation.rb
Parent: | Object

### Methods

matches? new

### Public Class methods

new(ignore)

[Source]

        # File lib/spec/mocks/argument_expectation.rb, line 66
    66:       def initialize(ignore)
    67:       end

### Public Instance methods

matches?(value)

[Source]

        # File lib/spec/mocks/argument_expectation.rb, line 69
    69:       def matches?(value)
    70:         value.is_a?(Numeric)
    71:       end

[Validate]